Bug 1012510 - swift: swift delete * gives out an out put of none-existing objects and none of the containers are deleted
swift: swift delete * gives out an out put of none-existing objects and none ...
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-swiftclient (Show other bugs)
4.0
x86_64 Linux
unspecified Severity medium
: ---
: 4.0
Assigned To: RHOS Maint
Martina Kollarova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 11:00 EDT by Dafna Ron
Modified: 2016-04-26 09:56 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 05:55:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dafna Ron 2013-09-26 11:00:13 EDT
Description of problem:

I ran swift delete *
we get a strange output of files swift was trying to delete and could not find. 
all the containers and their files remain intact. 

Version-Release number of selected component (if applicable):

openstack-swift-1.8.0-6.el6ost.noarch

How reproducible:

100%

Steps to Reproduce:
1. create several containers with objects 
2. run swift delete * 
3.

Actual results:

we get a strange output of files swift is trying to delete but none of the containers or the objects are deleted 

Expected results:

I think we should have a warning or a --force added for such a command but would allow it to run 

Additional info:

[root@nott-vdsa tmp(keystone_admin)]# swift delete *
Object 'admin/keystone-signing-0Bdj_F' not found
Object 'admin/keystone-signing-2YKYcR' not found
Object 'admin/keystone-signing-59724W' not found
Object 'admin/create_horizon.txt' not found
Object 'admin/keystone-signing-62Gzvk' not found
Object 'admin/keystone-signing-6Wu8Z6' not found
Object 'admin/keystone-signing-BVrPwz' not found
Object 'admin/keystone-signing-CtP4UA' not found
Object 'admin/keystone-signing-E_hCiX' not found
Object 'admin/keystone-signing-CjKRGD' not found
Object 'admin/keystone-signing-emzPOA' not found
Object 'admin/file.tar.gz' not found
Object 'admin/keystone-signing-hf66GT' not found
Object 'admin/keystone-signing-junmx6' not found
Object 'admin/keystone-signing-lx4Ig6' not found
Object 'admin/keystone-signing-KBYxY2' not found
Object 'admin/keystone-signing-mBgRBf' not found
Object 'admin/keystone-signing-kKTroh' not found
Object 'admin/keystone-signing-nova' not found
Object 'admin/initrd.img' not found
Object 'admin/keystone-signing-pd82DZ' not found
Object 'admin/keystone-signing-SqdO2x' not found
Object 'admin/keystone-signing-njDZF2' not found
Object 'admin/keystone-signing-olPTxr' not found
Object 'admin/keystone-signing-tmBNUN' not found
Object 'admin/glance' not found
Object 'admin/keystone-signing-uJ8zIo' not found
Object 'admin/keystone-signing-v9POs9' not found
Object 'admin/keystone-signing-qZYe4J' not found
Object 'admin/keystone-signing-vAifQZ' not found
Object 'admin/keystone-signing-uhVbvH' not found
Object 'admin/keystone-signing-Z0uGYQ' not found
Object 'admin/keystone-signing-u9JMlw' not found
Object 'admin/keystone-signing-Uu4vww' not found
Object 'admin/keystone-signing-2effZE' not found
Object 'admin/ks-script-uLSgyo.log' not found
Object 'admin/keystone-signing-yOe71a' not found
Object 'admin/glance-api.conf' not found
Object 'admin/test2' not found
Object 'admin/packstack-answers-20130924-140637.txt' not found
Object 'admin/yum.log' not found
Object 'admin/test1' not found
Object 'admin/rhel-server-x86_64-kvm-6.4_20130130.0-2-sda.qcow2' not found
Object 'admin/ks-script-uLSgyo' not found
Object 'admin/test3' not found
Object 'admin/file' not found
Object 'admin/glance1' not found
Object 'admin/image' not found
[root@nott-vdsa tmp(keystone_admin)]# swift list 
dafna
haha
lala
lala1
test
test1
[root@nott-vdsa tmp(keystone_admin)]# swift list dafna
file.tar.gz
test1
test2
test3
tmp/glance-api.conf
tmp/ks-script-uLSgyo.log
[root@nott-vdsa tmp(keystone_admin)]#
Comment 1 Dafna Ron 2013-09-26 11:00:40 EDT
https://bugs.launchpad.net/swift/+bug/1231501
Comment 2 Ayal Baron 2013-10-01 05:55:37 EDT
This has nothing to do with Swift:
http://en.wikipedia.org/wiki/Glob_%28programming%29

Note You need to log in before you can comment on or make changes to this bug.